Skip to main content
`Ctrl`+`K`

# NEPComputeJacobian

Computes the Jacobian matrix \(T'(\lambda)\) that has been set with `NEPSetJacobian()`.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPComputeJacobian(NEP nep,PetscScalar lambda,Mat A)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- lambda - the scalar argument

## Output Parameter

- A - Jacobian matrix

## Notes

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear eigensolvers.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetJacobian()`, `NEPGetJacobian()`, `NEPComputeFunction()`

## Level

developer

## Location

src/nep/interface/nepsolve.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages